<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<?php
             global $product;

             $product_terms = wp_get_object_terms( $post->ID,  'pa_color' );
             $colorsOnly = array();
             if ( $product_terms ) {
                 foreach ($product_terms as $term) {
                    $colorsOnly[]= $term->slug;
                }


               $available_variations = $product->get_available_variations();
               $grouped = array();
               $availableColors = array();
               foreach ($available_variations as $combination) {
                   $availableColors[$combination['attributes']['attribute_pa_color']]= $combination['attributes']['attribute_pa_color'];
               }
               $result = array_diff($colorsOnly, $availableColors);
               if ( !empty( $result ) ) { ?>
                   <style type="text/css">
                       <?php
                           foreach ( $result as $color ) { ?>
                               .woo-variation-swatches-stylesheet-enabled .variable-items-wrapper .variable-item.image-variable-item[data-value="<?php echo $color; ?>"] { display: none; }
                           <?php }
                       ?>
                   </style>
               <?php }
             }
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php
		/**
		 * woocommerce_after_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>

	<?php
		/**
		 * woocommerce_sidebar hook.
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		do_action( 'woocommerce_sidebar' );
	?>

<?php get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
